<?php

namespace TDevAgency\Erp\Models;

use Illuminate\Database\Eloquent\Model;
use Kyslik\ColumnSortable\Sortable;
use TDevAgency\Cms\Traits\Filterable;
use TDevAgency\Cms\Traits\Searchable;
use TDevAgency\Erp\Interfaces\ErpModel;
use TDevAgency\Erp\Traits\Containerable;

class Delivery extends Model implements ErpModel
{
    use Sortable, Filterable, Searchable, Containerable;

    protected $fillable = [
        'provider_id',
        'delivery_number',
        'container_id',
        'price_national_currency',
        'price_in_currency',
        'currency',
        'delivery_date',
        'payment_deadline',
    ];


    public function delivery_items()
    {
        return $this->hasMany(DeliveryItem::class);
    }

    public function getName(): string
    {
        return  '';
    }

    public function getImageName(): string
    {
        return  '';
    }

    public function getImage($size = null)
    {
        return  '';
    }

    public function getImageSizes(): array
    {
        return  '';
    }

    public function getId()
    {
        return $this->id;
    }
}
