<?php

namespace TDevAgency\Erp\Models;

use Illuminate\Database\Eloquent\Model;
use Kyslik\ColumnSortable\Sortable;
use TDevAgency\Cms\Traits\Searchable;
use TDevAgency\Erp\Interfaces\ErpModel;
use TDevAgency\Erp\Traits\Containerable;

class Provider extends Model
{
    use Sortable, Searchable, Containerable;

    public $sortable = [
        'name', 'contact_person', 'email'
    ];
    protected $fillable = [
        'name',
        'container_id',
        'contact_person',
        'phone_one',
        'phone_two',
        'email',
        'address',
    ];
    protected $searchable = [
        'name', 'contact_person', 'email'
    ];
}
